#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeappsver	25.04.0
%define		kframever	5.94.0
%define		qtver		5.15.2
%define		kaname		kidentitymanagement
Summary:	kidentitymanagement
Name:		ka6-%{kaname}
Version:	25.04.0
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	38ea860a33657a8536d4cad483ceff6a
URL:		http://www.kde.org/
BuildRequires:	Qt6Core-devel >= %{qtver}
BuildRequires:	Qt6Gui-devel >= 5.11.1
BuildRequires:	Qt6Network-devel
BuildRequires:	Qt6Test-devel >= 5.9.0
BuildRequires:	cmake >= 3.20
BuildRequires:	gettext-devel
BuildRequires:	ka6-kpimtextedit-devel >= %{kdeappsver}
BuildRequires:	kf6-extra-cmake-modules >= %{kframever}
BuildRequires:	kf6-kcodecs-devel >= %{kframever}
BuildRequires:	kf6-kcompletion-devel >= %{kframever}
BuildRequires:	kf6-kconfig-devel >= %{kframever}
BuildRequires:	kf6-kcoreaddons-devel >= %{kframever}
BuildRequires:	kf6-kiconthemes-devel >= %{kframever}
BuildRequires:	kf6-kio-devel >= %{kframever}
BuildRequires:	kf6-kirigami-addons-devel >= 1.4.0
BuildRequires:	kf6-ktextwidgets-devel >= %{kframever}
BuildRequires:	kf6-kxmlgui-devel >= %{kframever}
BuildRequires:	ninja
BuildRequires:	qt6-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	shared-mime-info
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Obsoletes:	ka5-%{kaname} < %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KIdentity Management.

%package devel
Summary:	Header files for %{kaname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kaname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	ka5-%{kaname}-devel < %{version}

%description devel
Header files for %{kaname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kaname}.

%prep
%setup -q -n %{kaname}-%{version}

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_DOCBUNDLEDIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON
%ninja_build -C build

%if %{with tests}
ctest --test-dir build
%endif


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kaname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{kaname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libKPim6IdentityManagementCore.so.*.*
%ghost %{_libdir}/libKPim6IdentityManagementCore.so.6
%attr(755,root,root) %{_libdir}/libKPim6IdentityManagementQuick.so.*.*
%ghost %{_libdir}/libKPim6IdentityManagementQuick.so.6
%attr(755,root,root) %{_libdir}/libKPim6IdentityManagementWidgets.so.*.*
%ghost %{_libdir}/libKPim6IdentityManagementWidgets.so.6
%dir %{_libdir}/qt6/qml/org/kde/kidentitymanagement
%{_libdir}/qt6/qml/org/kde/kidentitymanagement/BasicIdentityEditorCard.qml
%{_libdir}/qt6/qml/org/kde/kidentitymanagement/CryptographyEditorCard.qml
%{_libdir}/qt6/qml/org/kde/kidentitymanagement/IdentityConfigurationForm.qml
%{_libdir}/qt6/qml/org/kde/kidentitymanagement/IdentityEditorPage.qml
%{_libdir}/qt6/qml/org/kde/kidentitymanagement/kde-qmlmodule.version
%{_libdir}/qt6/qml/org/kde/kidentitymanagement/kidentitymanagement_quick_plugin.qmltypes
%attr(755,root,root) %{_libdir}/qt6/qml/org/kde/kidentitymanagement/libkidentitymanagement_quick_plugin.so
%{_libdir}/qt6/qml/org/kde/kidentitymanagement/qmldir
%{_datadir}/dbus-1/interfaces/kf6_org.kde.pim.IdentityManager.xml
%{_datadir}/qlogging-categories6/kidentitymanagement.categories
%{_datadir}/qlogging-categories6/kidentitymanagement.renamecategories

%files devel
%defattr(644,root,root,755)
%{_includedir}/KPim6/KIdentityManagementCore
%{_includedir}/KPim6/KIdentityManagementQuick
%{_includedir}/KPim6/KIdentityManagementWidgets
%{_libdir}/cmake/KPim6IdentityManagementCore
%{_libdir}/cmake/KPim6IdentityManagementQuick
%{_libdir}/cmake/KPim6IdentityManagementWidgets
%{_libdir}/libKPim6IdentityManagementCore.so
%{_libdir}/libKPim6IdentityManagementQuick.so
%{_libdir}/libKPim6IdentityManagementWidgets.so
%changelog
* Wed Apr 30 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka6-kidentitymanagement.git;a=log;h=master

* Thu Apr 17 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 4e3a33d
- updated to 25.04.0

* Fri Mar 07 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 300ea50
- updated to 24.12.3

* Sat Feb 08 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 344a5de
- updated to 24.12.2

* Fri Jan 10 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 83d6e40
- updated to 24.12.1

* Thu Dec 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 4979f74
- updated to 24.12.0

* Thu Nov 07 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 1432063
- updated to 24.08.3

* Thu Oct 17 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 7f332b0
- typo

* Thu Oct 17 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> f878236
- BR: kf6-kirigami-addons-devel

* Thu Oct 17 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 767d2bf
- relup

* Thu Oct 10 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 18b2836
- updated to 24.08.2

* Thu Sep 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 984c675
- updated to 24.08.1

* Fri Aug 23 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 9e6a8de
- updated to 24.08.0

* Fri Jul 05 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 9c930a4
- updated to 24.05.2

* Fri Jun 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 679de2a
- updated to 24.05.1

* Fri May 24 2024 Witold Filipczyk <witekfl@poczta.onet.pl> ebc3a22
- updated to 24.05.0

* Sat Apr 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 90bb4b6
- updated to 24.02.2

* Fri Mar 22 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 45565ae
- updated to 24.02.1

* Mon Mar 04 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 9aa5223
- updated to 24.02.0

